Bug 974540 - No exception is thrown when passing incorrect recalculation Interval during creation of dynaGroup definition via CLI
No exception is thrown when passing incorrect recalculation Interval during c...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: DR04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 880819
  Show dependency treegraph
 
Reported: 2013-06-14 07:42 EDT by Filip Brychta
Modified: 2014-01-02 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-06-14 07:42:27 EDT
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version: 4.8.0-SNAPSHOT
Build Number: 7b31b01

How reproducible:
Always

Steps to Reproduce:
1. ./rhq-cli.sh -p rhqadmin -u rhqadmin
2. var dynaGroupDef = new GroupDefinition("name");
3. dynaGroupDef.setRecalculationInterval(-5)
4. GroupDefinitionManager.createGroupDefinition(dynaGroupDef)

Actual results:
GroupDefinition:
	          createdTime: 1371209654085
	          description: 
	           expression: 
	     expressionAsList: []
	                   id: 10061
	  lastCalculationTime: 
	managedResourceGroups: 
	         modifiedTime: 1371209654085
	                 name: name
	  nextCalculationTime: 1371209654080
	recalculationInterval: -5
	            recursive: false

Definition is created without exception. Recalculation interval visible on GUI is 0, but dynaGroupDef.getRecalculationInterval() returns -5 and nextCalculationTime is from the past.

Expected results:
Exception is with informative message is thrown and definition is not created.

Additional info:
Other values to test [.5,0.5,-5]
Comment 1 Mike Foley 2013-07-02 11:21:06 EDT
moved to JON 3.3 per meeting 7/2/2013 with crouch, foley, larry, heiko
Comment 2 Jirka Kremser 2013-07-10 11:03:23 EDT
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=fa8e8225c
time:    2013-07-10 16:44:31 +0200
commit:  fa8e8225c6777c5d7e57c25aae3b80a180cbc58b
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 975502] - Its possible to create a dynaGroup definition with
         recalculation Interval < 1 minute via CLI - added simple
         checks to the GroupDefinitionManagerBean.
Comment 4 Simeon Pinder 2013-08-26 11:36:24 EDT
Moving to ON_QA as available for testing in latest 3.2.x ALPHA 58 build:

https://brewweb.devel.redhat.com//buildinfo?buildID=291947
Comment 5 Filip Brychta 2013-08-27 11:19:40 EDT
Verified on
Version: 3.2.0.ALPHA_QA
Build Number: 10b0467:adad71f

Note You need to log in before you can comment on or make changes to this bug.